[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItemEnumerator.Current

Contains the TMenuItem instance at the current position for the enumerator.

## Declaration

Source position: menus.pp line 108

`public property TMenuItemEnumerator.Current : TMenuItem read GetCurrent;`

## Description

Current is a read-only TMenuItem property which contains the menu item at the current position for the enumerator. The internal position for the enumerator is maintained when the MoveNext method is called.

## See also

TMenuItemEnumerator.MoveNext |  | Moves to the next position for the enumerator.
TMenuItem.Items |  | Provides indexed access to the child menu items for the current class instance.
TMenuItem.Count |  | Number of child menu items stored in the Items property.